<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'lz_fitness_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'gurukul' ),
        // 'panel' => 'lz_fitness_premium_home_panel'
		'priority' =>20
	)
);

$wp_customize->add_setting('lz_fitness_contactus_address_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize, 'lz_fitness_contactus_address_lbl',
		array(
			'settings'      => 'lz_fitness_contactus_address_lbl',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Contact Us Address', 'gurukul' ),
		)
	)
);

$section = 'lz_fitness_premium_contactus_section';
// contactus PAGE address
// $wp_customize->add_setting('lz_fitness_contactus_address', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
// $wp_customize->add_control('lz_fitness_contactus_address', array('settings'=>'lz_fitness_contactus_address', 'section'=>'lz_fitness_premium_contactus_section','type'=>'textarea', 'label'=> __('Contact Us Address', 'gurukul')));

//ADD TEXTAREA BOX FOR SUB TITLE
$wp_customize->add_setting(
	'contactus_addrress',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Address', 'luzuk-premium' ) 
	)
);
$wp_customize->add_control(
	'contactus_addrress',
	array(
		'settings'      => 'contactus_addrress',
		'section'       => 'premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Address Label', 'luzuk-premium' )
	)
);
lzAddElement($wp_customize, 'contactus_addressdata', $section, 'textarea', $label="Address Line One", 'lz_fitness_sanitize_text', 'Add Contact Address here..');

lzAddElement($wp_customize, 'contactus_addressdata1', $section, 'textarea', $label="Address Line Two", 'lz_fitness_sanitize_text', '');

lzAddElement($wp_customize, 'contactus_addressdata2', $section, 'textarea', $label="Address Line Three", 'lz_fitness_sanitize_text', '');

// contact us email 
$wp_customize->add_setting(
	'lz_fitness_contactus_emailid',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Email', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_contactus_emailid',
	array(
		'settings'      => 'lz_fitness_contactus_emailid',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email Label', 'Luzuk Premium' )
	)
);
lzAddElement($wp_customize, 'lz_fitness_contactus_email', $section, 'text', $label="Contact Us Email", 'lz_fitness_sanitize_text', 'contact@example.com');
// contact us Phone 
$wp_customize->add_setting(
	'lz_fitness_contactus_phhone',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Phone', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_contactus_phhone',
	array(
		'settings'      => 'lz_fitness_contactus_phhone',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone Label.', 'Luzuk Premium' )
	)
);
lzAddElement($wp_customize, 'lz_fitness_contactus_phone', $section, 'text', $label="Contact Us Phone", 'lz_fitness_sanitize_text', '+1 565 565 656565');

//Contact Details icon color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_detailiconColor', 'lz_fitness_premium_contactus_section', 'Contact Details Icon Color', '#444');

//Contact Details Title color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_detailtitleColor', 'lz_fitness_premium_contactus_section', 'Contact Details Title Color', '#444');
//Contact Details Information color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_detailinfoColor', 'lz_fitness_premium_contactus_section', 'Contact Details Information Color', '#444');
//Contact Details Email color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_detailemailColor', 'lz_fitness_premium_contactus_section', 'Contact Details Email Color', '#01beff');

//Contact Details Email hover color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_detailemailhoverColor', 'lz_fitness_premium_contactus_section', 'Contact Details Email Hover Color', '#ff6796');

// SOCIAL MEDIA URLS / LINKS
$wp_customize->add_setting('lz_fitness_contactus_sm_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize, 'lz_fitness_contactus_sm_lbl',
		array(
			'settings'      => 'lz_fitness_contactus_sm_lbl',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Social Media Links', 'gurukul' ),
		)
	)
);
$wp_customize->add_setting(
	'lz_fitness_contactus_socialtitle',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Follow us on', 'Luzuk Premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_contactus_socialtitle',
	array(
		'settings'      => 'lz_fitness_contactus_socialtitle',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Add Social Title', 'Luzuk Premium' )
	)
);
// FACEBOOK 
$wp_customize->add_setting('lz_fitness_contactus_facebook',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_facebook',
	array(
		'settings'      => 'lz_fitness_contactus_facebook',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Facebook Url', 'gurukul' )
	)
);
// TWITTER
$wp_customize->add_setting('lz_fitness_contactus_twitter', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_twitter',
	array(
		'settings'      => 'lz_fitness_contactus_twitter',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Twitter Url', 'gurukul' )
	)
);
// Instagram
$wp_customize->add_setting('lz_fitness_contactus_instagram', array('default' => 'https://www.instagram.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_instagram',
	array(
		'settings'      => 'lz_fitness_contactus_instagram',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Instagram', 'gurukul' )
	)
);
// LINKED IN
$wp_customize->add_setting('lz_fitness_contactus_linkedin',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_linkedin',
	array(
		'settings'      => 'lz_fitness_contactus_linkedin',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Linkedin Url', 'gurukul' )
	)
);

//Social Title color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_SocialtitleColor', 'lz_fitness_premium_contactus_section', 'Social Title Color', '#303030');

//Social Icon color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_SocialTitleColor', 'lz_fitness_premium_contactus_section', 'Social Icon Color', '#01beff');

//Social Icon bg color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_SocialbgColor', 'lz_fitness_premium_contactus_section', 'Social Icon Background Color', '#eaeaea');

//Social Icon hover color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_SocialTitlehoverColor', 'lz_fitness_premium_contactus_section', 'Social Icon Hover Color', '#ff6796');

//Social Icon border hover color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_SocialbghoverColor', 'lz_fitness_premium_contactus_section', 'Social Icon Background Hover Color', '#fff');

// contact us form shortcode 
$wp_customize->add_setting('lz_fitness_contactus_shortcode_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control('lz_fitness_contactus_shortcode_lbl', array('settings'=>'lz_fitness_contactus_shortcode_lbl', 'section'=>'lz_fitness_premium_contactus_section','type'=>'text', 'label'=> __('Form Title', 'gurukul')));

lzAddElement($wp_customize, 'lz_fitness_contactus_shortcode_lbl', $section, 'text', $label="Form Title", 'lz_fitness_sanitize_text', 'Contact Now');

lzAddElement($wp_customize, 'lz_fitness_contactus_shortcode', $section, 'text', $label="Form Shortcode", 'lz_fitness_sanitize_text', '[your shortcode]');

//Form Title color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formtitleColor', 'lz_fitness_premium_contactus_section', 'Form Title Color', '#fff');

//Form Background color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formbgColor', 'lz_fitness_premium_contactus_section', 'Form Background Color', '#01beff');

//Form Label color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formlabelColor', 'lz_fitness_premium_contactus_section', 'Form Label Color', '#fff');

//Form text and placeholder color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formtextplaceColor', 'lz_fitness_premium_contactus_section', 'Form Text and Placeholder Color', '#fff');

//Form border bottom color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formborderbottomColor', 'lz_fitness_premium_contactus_section', 'Form Border Bottom Color', '#fff');

//Button color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formbtnColor', 'lz_fitness_premium_contactus_section', 'Form Button Color', '#01beff');
//Button color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formbtnbgColor', 'lz_fitness_premium_contactus_section', 'Form Button Background Color', '#fff');

//Button hover color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formbtnhoverColor', 'lz_fitness_premium_contactus_section', 'Form Button Hover Color', '#fff');
//Button bg hover color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formbtnbghoverColor', 'lz_fitness_premium_contactus_section', 'Form Button Background Hover Color', '#ff6796');

//Button border hover color
//addColorPalatOption($wp_customize, 'lz_fitness_contactus_formbtnborderhoverColor', 'lz_fitness_premium_contactus_section', 'Form Button Border hover Color', '#000');

//Form text color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formdtextColor', 'lz_fitness_premium_contactus_section', 'Form Text Color', '#fff');



lzCustomLable($wp_customize, 'lz_fitness_contactus_lblcontactcurvedisplay', 'lz_fitness_premium_contactus_section', 'Wave Curve Display Setting:');
// to show & hide another button
$wp_customize->add_setting( 'cds_contactpage_curvedisplay' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'cds_contactpage_curvedisplay', array( 'label' => 'Wave Curve Display', 'section' => 'lz_fitness_premium_contactus_section', 'settings' => 'cds_contactpage_curvedisplay', 'type' => 'radio', 'choices' => array( 'show' => 'Show Wave Curve', 'hide' => 'Hide Wave Curve', ), ) ); 
// end to show & hide button

 // Curve color
    addColorPalatOption($wp_customize, 'lz_fitness_contactus_curveColor', 'lz_fitness_premium_contactus_section', 'Wave Curve color', '#01beff');


// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('lz_fitness_contactus_iframe_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize, 'lz_fitness_contactus_iframe_lbl',
		array(
			'settings'      => 'lz_fitness_contactus_iframe_lbl',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Contact Us Address', 'gurukul' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('lz_fitness_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add your map embade code'));
$wp_customize->add_control('lz_fitness_contactus_embade', array('settings'=>'lz_fitness_contactus_embade', 'section'=>'lz_fitness_premium_contactus_section','type'=>'textarea', 'label'=> __('Code for map', 'gurukul')));

//map bg color
addColorPalatOption($wp_customize, 'lz_fitness_contactus_mapbgColor', 'lz_fitness_premium_contactus_section', 'Map Background Color', '#01beff');

